LinuxQuestions.org
Visit the LQ Articles and Editorials section
Go Back   LinuxQuestions.org > Forums > LinuxQuestions.org > Linux - News > Syndicated Linux News
User Name
Password
Syndicated Linux News This forum is for the discussion of Syndicated Linux News stories.

Notices

Reply
 
Search this Thread
Old 12-09-2008, 04:51 PM   #1
LXer
LXer NewsBot
 
Registered: Dec 2005
Posts: 75,191

Rep: Reputation: 87
LXer: HowTo upgrade from Debian Etch to Lenny


Published at LXer:

Debian Lennyís release is getting closer and closer and many people will want to upgrade their Etch servers to Lenny, maybe even before Lenny is declared stable (at RC1 at this time). Even people that donít want to upgrade to lenny might find some useful information in this post ;-) ...

Read More...
 
Old 12-09-2008, 05:00 PM   #2
repo
LQ 5k Club
 
Registered: May 2001
Location: Belgium
Distribution: Linux Mint
Posts: 8,511

Rep: Reputation: 884Reputation: 884Reputation: 884Reputation: 884Reputation: 884Reputation: 884Reputation: 884
http://www.google.be/search?q=HowTo+...ient=firefox-a
 
Old 12-09-2008, 05:29 PM   #3
XavierP
Moderator
 
Registered: Nov 2002
Location: Kent, England
Distribution: Lubuntu
Posts: 19,176
Blog Entries: 4

Rep: Reputation: 430Reputation: 430Reputation: 430Reputation: 430Reputation: 430
Isn't that the same way that it's always been done? Apart from the aptitude commands which are relatively new.
 
Old 12-09-2008, 06:09 PM   #4
rickh
Senior Member
 
Registered: May 2004
Location: Albuquerque, NM USA
Distribution: Debian-Lenny/Sid 32/64 Desktop: Generic AMD64-EVGA 680i Laptop: Generic Intel SIS-AC97
Posts: 4,250

Rep: Reputation: 60
That's always been the theory, but it's good to be cautious. The upgrade from Sarge to Etch was a bear for some people because of the XFree86 to Xorg conversion. Now is the time to do the conversion. Beat the rush.

Replacing aptitude first as demonstrated in the article is a very good idea. If you encounter an error during the "full-upgrade," and there are several common ones being reported; remove/purge the application causing the error, then "aptitude install -f"
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
"Battery not present" after upgrade Debian etch to Lenny Debiantist Linux - Newbie 3 12-02-2008 08:42 AM
debian etch to lenny dist-upgrade broke X for current user. pauledwards03 Linux - Software 6 11-17-2008 07:59 AM
LXer: Debian Lenny update: so far, much better, and we also have 'Etch and a half' LXer Syndicated Linux News 0 08-07-2008 07:10 AM
LXer: Upgrading Debian from Etch to Lenny LXer Syndicated Linux News 0 01-02-2008 02:30 AM
LXer: Howto upgrade Debian 3.1 Sarga to 4.0 Etch stable version LXer Syndicated Linux News 0 04-08-2007 10:31 PM


All times are GMT -5. The time now is 02:12 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration